Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class BodyContent

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--javax.servlet.jsp.JspWriter
                  |
                  +--javax.servlet.jsp.tagext.BodyContent

public abstract class BodyContent
extends JspWriter

Fields inherited from class javax.servlet.jsp.JspWriter
`autoFlush, bufferSize, DEFAULT_BUFFER, NO_BUFFER, UNBOUNDED_BUFFER`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`protected` | `BodyContent(JspWriter prevOut)`

Method Summary
`abstract void` | `clearBody()`
`void` | `flush()`
`JspWriter` | `getEnclosingWriter()`
`abstract java.io.Reader` | `getReader()`
`abstract java.lang.String` | `getString()`
`abstract void` | `writeOut(java.io.Writer out)`

Methods inherited from class javax.servlet.jsp.JspWriter
`clear, clearBuffer, getBufferSize, getRemaining, isAutoFlush, newLine, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println`

Methods inherited from class java.io.Writer
`close, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BodyContent

    protected BodyContent(JspWriter prevOut)

Method Detail

### getEnclosingWriter

    public JspWriter getEnclosingWriter()

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    flush in class JspWriter

### clearBody

    public abstract void clearBody()

### getReader

    public abstract java.io.Reader getReader()

### getString

    public abstract java.lang.String getString()

### writeOut

    public abstract void writeOut(java.io.Writer out)
                           throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD